Subject: Deviation Actualization Update
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 24 Apr 2001 20:45:00 -0700 (PDT)

I analyzed the results of last nights Settle15 run for Load Deviation and discovered that the change made did not solve the rate problem.  I then analyzed all of the formulas that calculate the volume and the associated rate to use, retrieved some sample Load Schedules and Meter data to use in testing, and have made the right corrections to a copy of Settle15_TenMinute.xls (Settle15_TenMinute_403update042401_cme.xls).  I ran a test day and verified that the Load Deviation piece is now using the correct volume and applying the appropriate rate.

I have also verified that we have the right formulas in place for Import Deviation for both volume and rate.  These correct formulas are in the copied workbook.

Since these were incorrect, I researched the results that we obtain using SettleSupplemental and discovered that the formula that determines which rate is applied had the cell references backwards (where the result should have been the Inc it returned the Dec instead, and vice versa).  I reversed them in a copy of SettleSupp (SettleSupplemental_IncDec_reversal_042101_cme.xls), ran a test day and confirmed that the resulting volumes and rates are correct.

I also took a quick look into the formulas for SettleAncillary, and found no inconsistencies.  Fortunately, since that is the tool that created all of the SCL charges.

I have all of these documented if you want to go over them.  The upshot is that in order to restate our actualization for 403 and 405 (hence, total 407), I need to re-run Settle15 for the month of September for charge types 403 and 405 only, as well as SettleSupplemental (I will be using the copied workbooks until everyone has tested them and they are changed to the originals).  I am going to kick off the Settle15 part now (on Terminal Server 1), then come in early tomorrow and kick off the Supplemental piece.  

I anticipate completion of this restate for 403 and 405 by close of business Wednesday.

Caroline

---------------------- Forwarded by Caroline Emmert/HOU/ECT on 04/24/2001 03:29 PM ---------------------------

Caroline Emmert
04/13/2001 02:23 PM
To:	Chris Stokley/HOU/ECT@ECT
cc:	Donna Johnson/PDX/ECT@ECT 
Subject:	Deviation Actualization Update

Charge types 402, 403 and 404 have been fully re-allocated and are set to A.  

Finals for the regular stuff have been completed; incomplete actualization found for 9/5 and will need to be re-run on Monday.  Data had not been set to M as the allocations were not correct.  Did not discuss the date with Brett.

Charge type 405 (Import Deviation) is being re-run, with exceptions created that will require manual allocations.  The volume is still not allocating properly and research must be done to determine what is causing the bad allocations.  I may need some help looking at the data, if help can be found.

What is outstanding for Prelim actualization:
Finish 405 allocations, upload to Oracle, and set them to A.
Run Total 407 to assign remaining dollar variances to ECTstCA.
Run entire process, comparing A's to F's for Finals
Upload Finals to Oracle and set to M
Re-run 9/5 Final
Run Flash reports for A and M to double-check a match to the Invoices.

Still shooting for a COB Tuesday for all.

C

---------------------- Forwarded by Caroline Emmert/HOU/ECT on 04/13/2001 01:31 PM ---------------------------

Caroline Emmert
04/12/2001 04:09 PM
To:	Chris Stokley/HOU/ECT@ECT
cc:	Donna Johnson/PDX/ECT@ECT 
Subject:	Deviation Actualization Update

We have transferred new allocations for Gen and Export Dev based on the changes to the formula that I gave to TJ.  Tomorrow we will work on redoing Load Dev using the same formula changes, then we need to finish researching whatever is wrong with Import Deviation and get that one done.  

Once all four are done and transferred, then we can do the Total 407 part, which will identify remaining dollar variances and allocate that amount to ECTstCA.  The code hasn't been fully tested yet, so completion of this part may be delayed until cob Monday.

I am finished with September Finals for the non-deviation stuff through the 28th, and will have the last two days done tomorrow morning.

I anticipate having all of September completely actualized (for both Preliminary and Final) by cob Tuesday.

C
---------------------- Forwarded by Caroline Emmert/HOU/ECT on 04/12/2001 03:54 PM ---------------------------

Caroline Emmert
04/11/2001 04:25 PM
To:	Chris Stokley/HOU/ECT@ECT
cc:	 
Subject:	Deviation Actualization Update

TJ looking into the formulas, with Anna's assistance as best she can by telephone and IM.  We had to dump the existing export deviation records and re-do the manuals that had been previously added incorrectly, so that type will have to be run through the process again for sure.

No additional progress on any of the other things that need to be done for September, with the exception of 3 days worth of Finals actualized without deviations.

Tomorrow is another day, and if Anna is back we'll get that much closer to completion of Prelims by weeks' end.  At least we didn't have a database crash today.

C
---------------------- Forwarded by Caroline Emmert/HOU/ECT on 04/11/2001 04:27 PM ---------------------------

Caroline Emmert
04/10/2001 04:01 PM
To:	Chris Stokley/HOU/ECT@ECT
cc:	 
Subject:	Deviation Actualization Update

Continue to have difficulties matching up volumes for Import Deviation, caused by an internal database functionality problem.  

Have analyzed the Instructed/Uninstructed settlement data provided by the ISO and created formulas for variance identification and allocation for all types of deviation, as well as special case handling (exceptions or export deviation for example).  Also looking into Region differences and working with Anna on how to incorporate region into the process.

Anna has added the functionality to be able to actualize by settlement file SeqID, but this needs to be tested (settlement database crash prohibited proper testing today).

Reviewed TJ's functionality for allocating dollar variances in Total 407 (after volumetric and related dollar variances are allocated, remaining dollar variances are applied to ECTstCA); provided feedback on same.

Need to accomplish the following  to wrap-up September:

Review formulas currently in database - revise if needed
Test formulas
Obtain valid allocations for variances (especially for 405)
Check results on new allocations for 402, 403 and 404 to see if formula changes made any difference, and if so, is difference good
Delete existing allocations (based on current formulas, may be invalid)
Send new allocations up to FSP
Run total 407
Re-run whole process for Finals
Finish Final actualizations (Brett left off at the 19th)

Anticipate completion of deviation stuff for Prelims complete by end of week, and finals by Tuesday next.

C